Bug 135422 - getent returns nothing
getent returns nothing
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 12:55 EDT by Roehl Obaldo
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-22 03:42:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roehl Obaldo 2004-10-12 12:55:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
Getent hosts will not display output if hostname starts with numeric.
It has no problem resolving if hostname starts with alpha characters.




Version-Release number of selected component (if applicable):
glibc-2.3.2-95.27

How reproducible:
Always

Steps to Reproduce:
1.Configure hosts entry in /etc/nsswitch.conf to first look 
in /etc/hosts.
2.Add two entries to the /etc/hosts file:
192.168.2.1    dhcp2-1
192.168.2.2    2dhcp2
3.Issue the commands:
getent hosts dhcp2-1
getent hosts 2dhcp2

    

Actual Results:  getent hosts dhcp2-1
192.168.2.1     dhcp2-1

getent hosts 2dhcp2
<NOTHING>

Expected Results:  getent hosts dhcp2-1
192.168.2.1     dhcp2-1

getent hosts 2dhcp2
192.168.2.2    2dhcp2



Additional info:
Comment 1 Jakub Jelinek 2004-10-22 03:42:03 EDT
Fixed in glibc-2.3.3-73.

Note You need to log in before you can comment on or make changes to this bug.